grep-commit
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

grep branch, master, updated. v2.10-74-ga41991d


From: Paul Eggert
Subject: grep branch, master, updated. v2.10-74-ga41991d
Date: Mon, 13 Feb 2012 08:28:42 +0000

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "grep".

The branch, master has been updated
       via  a41991d620c7663c0027e25a708c80a70bb70646 (commit)
      from  a25effe4c8ffcc34a1698459f5a1e43df1e11c31 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
http://git.savannah.gnu.org/cgit/grep.git/commit/?id=a41991d620c7663c0027e25a708c80a70bb70646


commit a41991d620c7663c0027e25a708c80a70bb70646
Author: Paul Eggert <address@hidden>
Date:   Mon Feb 13 00:25:55 2012 -0800

    tests: fix loop in epipe test
    
    * tests/epipe: Don't loop forever if the bug is present.
    Problem reported by Jaroslav Skarvada.

diff --git a/tests/epipe b/tests/epipe
index 1d9ef05..3b568e3 100755
--- a/tests/epipe
+++ b/tests/epipe
@@ -5,8 +5,17 @@
 . "${srcdir=.}/init.sh"; path_prepend_ ../src
 
 if
+   # Use awk to output a bounded amount of data to the grep in question,
+   # so that the test doesn't loop forever if grep is buggy.
+   # Use an explicit /dev/null for the benefit of older (pre-POSIX) awks.
+   #
+   # Carefully close fd 3 when not needed, as a sanity check.
+   #
+   # Do not use "trap - PIPE" or "trap 'something' PIPE" here, since we may
+   # be running in an environment where SIGPIPE is ignored, and in such an
+   # environment POSIX says that "trap '' PIPE" is all we can do portably.
    (
-     while ls -al; do :; done 3>&- |
+     ${AWK-awk} 'BEGIN { for (i=0; i<1000000; i++) print i; }' /dev/null 3>&- |
      (trap '' PIPE; exec grep . 2>&3 3>&-) |
      :
    ) 3>&1 | (

-----------------------------------------------------------------------

Summary of changes:
 tests/epipe |   11 ++++++++++-
 1 files changed, 10 insertions(+), 1 deletions(-)


hooks/post-receive
-- 
grep



reply via email to

[Prev in Thread] Current Thread [Next in Thread]